# Start with a base image containing Java runtime
FROM openjdk:8

# Add Maintainer Info
LABEL maintainer="Mr.JayantTripathi@gmail.com"

# Add a volume pointing to /tmp
VOLUME /tmp

# Make port 8080 available to the world outside this container
EXPOSE 8761

# The application's jar file
ARG JAR_FILE=target/eurekaserver.jar

# Add the application's jar to the container
ADD ${JAR_FILE} eurekaserver.jar

# Run the jar file 
ENTRYPOINT ["java","-jar","/eurekaserver.jar"]
